package com.steering.mes.mcp.entity;
/**
 * 数据库表MIL_INSPECTION所对应的实体类（生成工具：代码生成器3.0）
 * @author Yct201908222236   date 2021-06-18
 */
public class FrmBaoJianResultMainEntity implements java.io.Serializable{
    /**
     * 报检单号
     */
    private String inspectionNo = "";
    /**
     * 报检次数
     */
    private String inspectionNum = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 生产批号
     */
    private String zyBatchId = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 抽检状态（0-待抽 1-待检 2-已检 3-免检）
     */
    private String inspectionFlag = "";
    /**
     * 报检结果
     */
    private String inspectionResult = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 客户名称
     */
    private String customerNm = "";
    /**
     * 报检支数
     */
    private String actCount = "";
    /**
     * 报检重量
     */
    private String actWeight = "";
    /**
     * 报检时间
     */
    private String createTime = "";
    /**
     * 上料时间
     */
    private String loadTime = "";
    /**
     * 检验时间
     */
    private String inspectionTime = "";
    /**
     * 检查员
     */
    private String inspectionName = "";
    /**
     * 送判状态（0-待送判 1-已送判 ）
     */
    private String applyFlag = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 不合格原因
     */
    private String unqualifiedReasons = "";
    /**
     * 处置方式
     */
    private String disposalMethod = "";
    /**
     * 处理状态（0-待完成 1-已完成）
     */
    private String disposalFlag = "";
    /**
     * 生产产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 处置时间
     */
    private String disposalTime = "";
    /**
     * 处置员
     */
    private String disposalName = "";
    /**
     * ID
     */
    private String idcode = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 是否需要重检（0-不需要，1-需要，2-已重检）
     */
    private String recheck = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 废品支数
     */
    private String scrapNum = "";
    /**
     * 报检年月日
     */
    private String procDate = "";
    /**
     * 序号
     */
    private String seq = "";
    /**
     * 废品吨
     */
    private String scrapWt = "";
    /**
     * 报检员
     */
    private String createName = "";
    /**
     * 工艺文件路径
     */
    private String craftPath = "";
    /**
     * 库区
     */
    private String storageName = "";
    /**
     * 料架位
     */
    private String locationName = "";

    /**
     * 报检单号
     * @return value
     */
    public String getInspectionNo() {
        return inspectionNo;
    }

    /**
     * 报检单号
     * @param inspectionNo value
     */
    public void setInspectionNo(String inspectionNo) {
        this.inspectionNo = inspectionNo;
    }

    /**
     * 报检次数
     * @return value
     */
    public String getInspectionNum() {
        return inspectionNum;
    }

    /**
     * 报检次数
     * @param inspectionNum value
     */
    public void setInspectionNum(String inspectionNum) {
        this.inspectionNum = inspectionNum;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 生产批号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 抽检状态（0-待抽 1-待检 2-已检 3-免检）
     * @return value
     */
    public String getInspectionFlag() {
        return inspectionFlag;
    }

    /**
     * 抽检状态（0-待抽 1-待检 2-已检 3-免检）
     * @param inspectionFlag value
     */
    public void setInspectionFlag(String inspectionFlag) {
        this.inspectionFlag = inspectionFlag;
    }

    /**
     * 报检结果
     * @return value
     */
    public String getInspectionResult() {
        return inspectionResult;
    }

    /**
     * 报检结果
     * @param inspectionResult value
     */
    public void setInspectionResult(String inspectionResult) {
        this.inspectionResult = inspectionResult;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 客户名称
     * @return value
     */
    public String getCustomerNm() {
        return customerNm;
    }

    /**
     * 客户名称
     * @param customerNm value
     */
    public void setCustomerNm(String customerNm) {
        this.customerNm = customerNm;
    }

    /**
     * 报检支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 报检支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 报检重量
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 报检重量
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 报检时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 报检时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getLoadTime() {
        return loadTime;
    }

    /**
     * 上料时间
     * @param loadTime value
     */
    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    /**
     * 检验时间
     * @return value
     */
    public String getInspectionTime() {
        return inspectionTime;
    }

    /**
     * 检验时间
     * @param inspectionTime value
     */
    public void setInspectionTime(String inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    /**
     * 检查员
     * @return value
     */
    public String getInspectionName() {
        return inspectionName;
    }

    /**
     * 检查员
     * @param inspectionName value
     */
    public void setInspectionName(String inspectionName) {
        this.inspectionName = inspectionName;
    }

    /**
     * 送判状态（0-待送判 1-已送判 ）
     * @return value
     */
    public String getApplyFlag() {
        return applyFlag;
    }

    /**
     * 送判状态（0-待送判 1-已送判 ）
     * @param applyFlag value
     */
    public void setApplyFlag(String applyFlag) {
        this.applyFlag = applyFlag;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 不合格原因
     * @return value
     */
    public String getUnqualifiedReasons() {
        return unqualifiedReasons;
    }

    /**
     * 不合格原因
     * @param unqualifiedReasons value
     */
    public void setUnqualifiedReasons(String unqualifiedReasons) {
        this.unqualifiedReasons = unqualifiedReasons;
    }

    /**
     * 处置方式
     * @return value
     */
    public String getDisposalMethod() {
        return disposalMethod;
    }

    /**
     * 处置方式
     * @param disposalMethod value
     */
    public void setDisposalMethod(String disposalMethod) {
        this.disposalMethod = disposalMethod;
    }

    /**
     * 处理状态（0-待完成 1-已完成）
     * @return value
     */
    public String getDisposalFlag() {
        return disposalFlag;
    }

    /**
     * 处理状态（0-待完成 1-已完成）
     * @param disposalFlag value
     */
    public void setDisposalFlag(String disposalFlag) {
        this.disposalFlag = disposalFlag;
    }

    /**
     * 生产产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 生产产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 处置时间
     * @return value
     */
    public String getDisposalTime() {
        return disposalTime;
    }

    /**
     * 处置时间
     * @param disposalTime value
     */
    public void setDisposalTime(String disposalTime) {
        this.disposalTime = disposalTime;
    }

    /**
     * 处置员
     * @return value
     */
    public String getDisposalName() {
        return disposalName;
    }

    /**
     * 处置员
     * @param disposalName value
     */
    public void setDisposalName(String disposalName) {
        this.disposalName = disposalName;
    }

    /**
     * ID
     * @return value
     */
    public String getIdcode() {
        return idcode;
    }

    /**
     * ID
     * @param idcode value
     */
    public void setIdcode(String idcode) {
        this.idcode = idcode;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 是否需要重检（0-不需要，1-需要，2-已重检）
     * @return value
     */
    public String getRecheck() {
        return recheck;
    }

    /**
     * 是否需要重检（0-不需要，1-需要，2-已重检）
     * @param recheck value
     */
    public void setRecheck(String recheck) {
        this.recheck = recheck;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 废品支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 报检年月日
     * @return value
     */
    public String getProcDate() {
        return procDate;
    }

    /**
     * 报检年月日
     * @param procDate value
     */
    public void setProcDate(String procDate) {
        this.procDate = procDate;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 废品吨
     * @return value
     */
    public String getScrapWt() {
        return scrapWt;
    }

    /**
     * 废品吨
     * @param scrapWt value
     */
    public void setScrapWt(String scrapWt) {
        this.scrapWt = scrapWt;
    }

    /**
     * 报检员
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 报检员
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 工艺文件路径
     * @return value
     */
    public String getCraftPath() {
        return craftPath;
    }

    /**
     * 工艺文件路径
     * @param craftPath value
     */
    public void setCraftPath(String craftPath) {
        this.craftPath = craftPath;
    }

    /**
     * 工艺文件路径
     * @return value
     */
    public String getStorageName() {
        return storageName;
    }

    /**
     * 工艺文件路径
     * @param storageName value
     */
    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    /**
     * 工艺文件路径
     * @return value
     */
    public String getLocationName() {
        return locationName;
    }

    /**
     * 工艺文件路径
     * @param locationName value
     */
    public void setLocationName(String locationName) {
        this.locationName = locationName;
    }


}
